---
title: ConsoleLauncher
---

# <a id="TecnoPack_ConsoleLauncher"></a> Class ConsoleLauncher

Namespace: [TecnoPack](TecnoPack.md)  
Assembly: CO0002\_Templ\_FlowpackHMI\_V00\_9\_3.dll  

Classe statica responsabile dell'esecuzione di uno script batch da console
e della lettura dell'input prodotto dallo script stesso.

```csharp
public static class ConsoleLauncher
```

#### Inheritance

[object](https://learn.microsoft.com/dotnet/api/system.object) ← 
[ConsoleLauncher](TecnoPack.ConsoleLauncher.md)

#### Inherited Members

[object.GetType\(\)](https://learn.microsoft.com/dotnet/api/system.object.gettype), 
[object.MemberwiseClone\(\)](https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone), 
[object.ToString\(\)](https://learn.microsoft.com/dotnet/api/system.object.tostring), 
[object.Equals\(object?\)](https://learn.microsoft.com/dotnet/api/system.object.equals\#system\-object\-equals\(system\-object\)), 
[object.Equals\(object?, object?\)](https://learn.microsoft.com/dotnet/api/system.object.equals\#system\-object\-equals\(system\-object\-system\-object\)), 
[object.ReferenceEquals\(object?, object?\)](https://learn.microsoft.com/dotnet/api/system.object.referenceequals), 
[object.GetHashCode\(\)](https://learn.microsoft.com/dotnet/api/system.object.gethashcode)

## Methods

### <a id="TecnoPack_ConsoleLauncher_Launch_System_String_System_String_"></a> Launch\(string, string\)

Crea ed esegue uno script batch all'interno di una cartella temporanea,
attende la fine dell'esecuzione e restituisce l'input dell'utente letto da file.

```csharp
public static string Launch(string tempFolder, string script)
```

#### Parameters

`tempFolder` [string](https://learn.microsoft.com/dotnet/api/system.string)

Percorso della cartella temporanea dove verrà salvato ed eseguito lo script.

`script` [string](https://learn.microsoft.com/dotnet/api/system.string)

Contenuto dello script batch da eseguire. Deve contenere il placeholder <code>#outputFilePath#</code>
            che verrà sostituito con il percorso reale del file di output.

#### Returns

 [string](https://learn.microsoft.com/dotnet/api/system.string)

Valore immesso dall'utente nello script batch, oppure <code>null</code> in caso di errore.

#### Remarks

Il metodo crea un file .bat e un file .txt temporanei, li elimina al termine dell'esecuzione.
Il valore inserito dall'utente viene letto dal file .txt generato dallo script batch.

#### Exceptions

 [Exception](https://learn.microsoft.com/dotnet/api/system.exception)

Eventuali eccezioni vengono intercettate internamente; viene restituito <code>null</code> in caso di errore.

